%define pkg_name        Email-MIME-Creator
%define pkg_version     1.454
%define rpm_pkg_version 1.45_4
%define rpm_pkg_release 1.n0i.4

Summary:       Email::MIME constructor for starting a new MIME part
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RJ/RJBS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Email::MIME) >= 1.82
BuildRequires: perl(Email::MIME::Modifier) >= 1.440
BuildRequires: perl(Email::Simple) >= 1.92
BuildRequires: perl(Email::Simple::Creator) >= 1.4
%endif

Requires: perl(Email::Simple) >= 1.92
Requires: perl(Email::Simple::Creator) >= 1.4


%description
Email::MIME::Creator - Email::MIME constructor for starting a new MIME
part.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 1.45_4-1.n0i.4.1.454
- version 1.454

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.45_3-1.n0i.3.1.453
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.453

* Sat Jul 15 2006 Marius Feraru <altblue@n0i.net> - 1.45-1.n0i.2
- version 1.45

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 1.41-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
